<?
function hasStatusBit($old_status, $status)
{
    $result = true;
    $result = ($old_status & $status) && $result;
    return $result;
}
function getDaysInBetween($start, $end = null) {
            if ( null === $end ) $end = mktime(0, 0, 0, date('m'), date('d'), date('Y'));
            $day = 86400; // Day in seconds
            $format = 'Y-m-d'; // Output format (see PHP date funciton)
            $sTime = /*strtotime(*/$start/*)*/; // Start as time
            $eTime = /*strtotime(*/$end/*)*/; // End as time
            $numDays = round(($eTime - $sTime) / $day);
            $days = array();

            // Return days
            return abs($numDays) /*- 1*/;
        }

        $client = Cubix_Api_XmlRpc_Client::getInstance();
        
        $is_no_profile = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_NO_PROFILE);
        $is_profile_changed = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_PROFILE_CHANGED);
        $is_not_photos = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_NO_ENOUGH_PHOTOS);
        $is_admin_disabled = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_ADMIN_DISABLED);
        $is_owner_disabled = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_OWNER_DISABLED);
        $is_offline = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_OFFLINE);


        // $is_no_profile = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_Escorts::ESCORT_STATUS_NO_PROFILE));
        // $is_profile_changed = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_Escorts::ESCORT_STATUS_PROFILE_CHANGED));
        // $is_not_photos = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_Escorts::ESCORT_STATUS_NO_ENOUGH_PHOTOS));
        // $is_admin_disabled = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_Escorts::ESCORT_STATUS_ADMIN_DISABLED));
        
        //$active_package = $client->call('Escorts.getActivePackage', array($this->escort->id));
        $package_queue = Cubix_Api::getInstance()->call('escorts.getActivePackagesExpiration', array($this->escort->id));
        $note = $this->note;
        $page = 1;
?>
<div class="alert alert-light welcome-header"  role="alert">
    <?= strtoupper(__('pv2_escort_heading', array('showname' => $this->escort->showname))) ?>
</div>
<? if(!$is_owner_disabled): ?>
<div class="card-block top-status-block" style="display: none; padding: 0 20px;" >
<? else: ?>
<div class="card-block top-status-block" style="padding: 0;">
<? endif; ?>
    <div class="alert <?= ($is_owner_disabled) ? 'alert-warning' : 'alert-success' ?>" role="alert">
        <span>Attention! Your ad is disabled so not visible on the site.
        </span>
        <label class="switch switch-text switch-success float-right mb-0 profile-status-top">
            <input <?= (!$is_owner_disabled) ? 'checked' : '' ?> id="profile-status-top"
                                                                 value="<?= (!$is_owner_disabled) ? 'disable' : 'enable' ?>"
                                                                 type="checkbox" class="switch-input">
            <span class="switch-label" data-on="On" data-off="Off"></span>
            <span class="switch-handle"></span>
        </label>
    </div>
</div>
    <? if($is_offline):?>
        <div class="card-block top-status-block" style="padding: 20px 0;">
            <div class="alert alert-danger" role="alert">
                <span>Attention! Your ad is not visible on the site!
Our team marked your ad as breaking at least one of our guidelines. Please contact support  or info@escortguide.co.uk to find out what the problem is and what to do to fix it.</span>
            </div>
        </div>
    <? endif;?>
<div class="row escort-dashboard d-flex">
    <p class="d-md-none text-center how-to-use">In order to manage your profile, please tap on the avatar in the upper right corner.</p>
    <div class="col-sm-12 col-md-12 votes-block">
        <div class="card">
            <div class="card-header"><i class="fa fa-line-chart" aria-hidden="true"></i>City Votes</div>
            <div class="card-block">
                <button type="button" class="btn btn-link previews-button">Previews</button>
                <button type="button" class="btn btn-link next-button">Next</button>
                <div id="votes-area">
                    <canvas id="myChart"></canvas>
                    <div class="voting-place">
                        <?= __('poll_desc');?>
                        <h3 class="vote-now"></h3>
                        <fieldset class="form-group">
                            <div class="form-group">
                                <? $data = $this->data; ?>
                                <label for="country"><?= __('pv2_label_country') ?></label>
                                <? $model = new Cubix_Geography_Countries() ?>
                                <select id="country" name="country_id" class="form-control">
                                    <? foreach ($model->ajaxGetAll(false) as $country): ?>
                                        <option value="<?= $country->id ?>"<?= $this->data['country_id'] == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?></option>
                                    <? endforeach ?>
                                </select>
                                <div id="country_id" class="text-danger"></div>
                            </div>
                            <div>
                                <label for="base_city">Base City</label>
                                <? $cModel = new Cubix_Geography_Cities() ?>

                                <select id="base_city"
                                        class="form-control select2-single  city-area" name="city_id" data-placeholder=" - ">
                                    <option></option>
                                    <? if ( $data['country_id'] ): ?>
                                        <? foreach ($cModel->ajaxGetAll(null, $data['country_id']) as $city): ?>
                                            <option value="<?= $city->id ?>"<?= $data['city_id'] == $city->id ? ' selected="selected"' : '' ?>><?= $city->title ?></option>
                                        <? endforeach ?>
                                    <? endif ?>
                                </select>
                                <p id="validation-country_id" class="text-danger m-0"></p>
                            </div>
                            <input type="hidden" name="page" value="<?= $page ?>">
                            <button type="submit" class="btn btn-success rounded submit-button"><?= __('vote');?></button>
                        </fieldset>

                        <input type="hidden" id="expired-index" value="<?=( $note['note_number'] == 1 ) ? 1 : 0 ?>" />
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-12 col-md-6 views-block">
        <div class="card">
            <div class="card-header"><i class="fa fa-line-chart" aria-hidden="true"></i>Views</div>
            <div class="card-block">
                <?
                $escort_views = json_decode($this->escort_views);
                if(!empty($escort_views)): ?>
                    <div id="container-chart" class="d-none d-md-block"></div>
                    <div id="container-chart-text" class="d-md-none">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Count</th>
                                </tr>
                            </thead>
                            <tbody class="escort-views">

                            </tbody>
                        </table>
                    </div>
                <?php else:?>
                    <div class="alert alert-warning" role="alert"> <p class="mb-0">No data available-please check your profile status.</p></div>
                <? endif; ?>
            </div>
        </div>
    </div>

    <div class="col-12 col-lg-6 ">
     <div class="card">
      <div class="card-header">
        <i class="fa fa-cart-plus" aria-hidden="true"></i> New feature: pay your ad online!
      </div>
      <div class="card-block ">
        <p class="">Want your ad above other ads in homepage or in your city? Then try our new Self checkout and pay for your upgrade fast and easy directly from your account! Just click on the button below:</p>
       <div id="govazd" class="container mb-3">
          <div class="d-flex">
          <button data-ajax-url="/private-v3#profile/gotd" class="btn m-auto btn-success rounded" type="button" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">UPGRADE NOW</button></div>
       </div>
     </div>
    </div>
    </div>


    <?php if( $is_no_profile || $is_profile_changed || $package_queue): ?>
        <div class="col-md-6 notifications-block">
            <div class="card">
              <div class="card-header">
                  <i class="fa fa-bell"></i> Notifications
              </div>
                <div class="card-block ">
                    <div class="dashboard-notifications">
                        <? if($this->escort->status & Cubix_EscortStatus::ESCORT_STATUS_TEMPRARY_DELETED): ?>
                             <span class="strong red">Account will be removed After <?= ceil(  48 - (time() - strtotime($this->escort->deleted_date) + 60 )/3600 ) ; ?> hours</span>
                             <a class="disableButton" href="<?= $this->getLink('private-v2-escorts-restore') ?>"><?= __('restore') ?></a>
                         <? else: ?>
                            <? if ( $package_queue ): ?>
                              <?
                                //$expires_in = ($active_package['expiration_date']) ? getDaysInBetween(strtotime($active_package['expiration_date']), mktime(0, 0, 0, date('m'), date('d'), date('Y'))) : '-';
                                $expires_in = getDaysInBetween(strtotime($package_queue['active']['expiration_date']));
                               
                              ?>
                               <? if ( $expires_in == 0 ): ?>
                                 <div class="alert alert-danger" role="alert">
                                     <?= __("pv2_alert_package_info_2", array('PACKAGE_NAME' => $package_queue['active']['name'], 'DAYS' => __('today'))) ?>
                                 </div>
                                <? elseif($expires_in == 1): ?>
                                   <div class="alert alert-danger" role="alert">
                                         <?= __("pv2_alert_package_info_2", array('PACKAGE_NAME' => $package_queue['active']['name'], 'DAYS' => __('tomorrow'))) ?>
                                   </div>
                               <? else: ?>
                                   <div class="alert alert-danger" role="alert">
                                         <?= __("pv2_alert_package_info", array('PACKAGE_NAME' => $package_queue['active']['name'], 'DAYS' => $expires_in)) ?>
                                   </div>
                               <? endif; ?>

                               <? if ( $package_queue['after'] ): ?>
                                  <div class="alert alert-danger" role="alert">
                                       <?= __('pv2_alert_package_info_after', array('pkg_name' => $package_queue['after']['name'], 'pkg_period' => $package_queue['after']['period'])) ?>
                                  </div>
                               <? endif ?>
                            <? endif; ?>

                            <? if ( $is_no_profile && ! $is_profile_changed ): ?>
                               <div class="alert alert-danger" role="alert">
                                   You don't have a profile yet, please click <a href="#" data-ajax-url="/private-v3/profile#index">here</a> to add new profile!
                               </div>
                            <? elseif ( $is_profile_changed ): ?>
                               <div class="alert alert-danger" role="alert">
                                  <?= __('pv2_alert_profile_is_not_approved') ?>
                               </div>
                            <? elseif ( $is_admin_disabled ): ?>
                               <div class="alert alert-danger" role="alert">
                                  <?= __('pv2_alert_profile_admin_disabled') ?>
                               </div>
                            <? elseif ( $is_not_photos ): ?>
                               <div class="alert alert-danger" role="alert">
                                  <?= __('pv2_alert_profile_not_enough_photos') ?>
                               </div>
                            <? endif; ?>
                           
                          <? endif; ?>
                    </div>
                </div>
            </div>
        </div>
    <? endif; ?>
    <div class="col-sm-12 col-md-6 status-message-block">
        <div class="card">
            <div class="card-header">
                <i class="fa fa-comment-o" aria-hidden="true"></i> Status message
            </div>
            <div class="card-block instant-live-messages-block">
                <div class="col-12"><p class="d-md-none ">
<!--                        Share your todays mood, thoughts, feeling or wishes with the community! Just enter anything personal into the instant message box below - it will immediately show on your sedcard and througout the site and brings you much more attention!-->
                    <?= __('share_mood')?>
                    </p></div>
                <form id="instant-live-messages" action="">
                    <div class="form-group">
                        <div class="input-group">
                            <span class="input-group-addon d-none d-md-block"><i class="fa fa-commenting-o" aria-hidden="true"></i></span>
                            <input required="" type="text" name="text" id="bubble-text" class="form-control" value="<?= $this->bubble_text['text']?>">
                        </div>
                    </div>
                    <div class="text-right">
                        <button type="submit" class="btn btn-primary btn-lg rounded">Share</button>
                    </div>
                </form>
                <div id="instant-live-messages-alerts" class="mt-2 alert alert-warning d-none" role="alert">
                    <strong>Notice:</strong> You are allowed to change your bubble text only once per day!
                </div>

                <div id="instant-live-messages-alert-success" class="mt-2 alert alert-success d-none" role="alert">
                    Bubble text successfully updated
                </div>
            </div>
        </div>
    </div>

   

    <?php if( $this->escort->status == 67): ?>
        <div class="col-sm-12 col-md-6 d-none mobile-show profile-complete">
            <div class="card">
                <div class="card-header text-capitalize">
                    <i class="fa fa-id-card-o" aria-hidden="true"></i> Not Completed
                </div>
                <div class="card-block">
                    <div class="alert alert-danger alert-profile-complete d-flex" role="alert">
                        <span>Your profile is not completed!</span>
                        <button class="btn btn-primary" data-ajax-url="/private-v3/profile#index">Complete</button>
                    </div>
                </div>
            </div>
        </div>
    <?php endif;?>

<!--     <div class="col-sm-12 col-md-6">-->
<!--        <div class="card">-->
<!--            <div class="card-header">-->
<!--                <i class="fa fa-info-circle" aria-hidden="true"></i>-->
<!--                Additional information-->
<!--                <div class="small text-muted"></div>-->
<!--            </div>-->
<!--            <div class="card-block">-->
<!--                <div class="alert alert-warning" role="alert">-->
<!--                  --><?//= __('att_photos_count') ?>
<!--                </div>-->
<!--                <div class="alert alert-success" role="alert">-->
<!--                  --><?//= __('tip_text') ?>
<!--                </div>-->
<!--           </div>-->
<!--        </div>-->
<!--    </div>-->
    <!--/.col-->
</div>

<div class="d-md-none  quick-links-block">
    <div class="card">
        <div class="card-header">
            <i class="fa fa-rocket" aria-hidden="true"></i> Quick links
        </div>
        <div class="card-block ">
            <div class="d-flex flex-column">
                <a target="_blank"  class="btn btn-lg btn-primary mb-1 rounded" href="<?= $this->GetLink('advertise') ?>">Premium advertising</a>
                <a data-ajax-url="/private-v3/profile#index" class="btn btn-lg btn-primary mb-1 rounded" href="">Edit profile</a>
                <a data-ajax-url="/private-v3/verify#idcard" class="btn btn-lg btn-primary mb-1 rounded" href="">Verify your photos</a>
                <?php if(empty($this->hasVideo[0])):?>
                    <a data-ajax-url="/private-v3/profile#gallery" class="btn btn-lg btn-primary mb-1 rounded" href="">Upload Video</a>
                <?php endif;?>
            </div>
        </div>
    </div>
</div>

<script>

    var data = JSON.parse('<?= $this->escort_views?>');

    if(data && data.length > 0) {
        var highcart_data = data.map(function (value) {
            var date = value.date.split('-');
            // date[1] - 1 becauese in js month started from 0
            return [Date.UTC(date[0],date[1] - 1,date[2]),value.count]
        });

        //Highchart for desktop
        Highcharts.chart('container-chart', {
            title: {
                text: 'Your views in last week'
            },
            xAxis: {
                type: 'datetime',
                dateTimeLabelFormats: {
                    day: '%e.%m'
                }
            },
            tooltip: {
                formatter: function () {
                    return '<b> Views '+ this.y +'</b>';
                }
            },

            yAxis: {
                title: {
                    text: null
                }
            },

            series: [{
                name: 'Views',
                data: highcart_data,
            }]
        });

        //Show views for mobile
        $.each(data,function (i , row) {
           $('#container-chart-text .escort-views')
               .append("<tr><td>" + row.date + "</td><td>" + row.count + " Views</td></tr></p>")
        });
    }
</script>
<script>
    var $lables = [];
    var $votesL = [];
    var $votesR = [];
    var myChart = {};
    var page = $('input[name=page]').val();
    var previewsButton = $('.previews-button');
    var nextButton = $('.next-button');
    $(document).ready(function () {
        $.ajax({
            url: '/private-v3/city-votes/chart-data',
            type: 'POST',
            data: {page: page},
            dataType: 'json',
            beforeSend:function () {
                $('.votes-block').LoadingOverlay("show", true);
            },
            success: function (data) {
                $.each(data.data,function (k,v) {
                    $lables.push(v.city);
                    $votesL.push(v.votesL);
                    $votesR.push(v.votesR);
                });
                setChart();
                if ( page == 1 )
                {
                    $('.previews-button').addClass('di-abl-ed');
                }
                $('.votes-block').LoadingOverlay("hide", true);
            }
        });

        $('.submit-button').on('click',function (event){
            var cityId = $('#base_city').val();
            $.ajax({
                url: '/private-v3/city-votes/save',
                type: 'POST',
                data: {page: page,city_id:cityId},
                dataType: 'json',
                beforeSend:function () {
                    $('.votes-block').LoadingOverlay("show", true);
                },
                success: function (data) {
                    if (data.note.date && data.note.date.minutes > 0)
                    {
                        alert('Maximum 3 votes allowed per month');
                    }else{
                        $lables = [];
                        $votesL = [];
                        $votesR = [];
                        $.each(data.data,function (k,v) {
                            $lables.push(v.city);
                            $votesL.push(v.votesL);
                            $votesR.push(v.votesR);
                        });
                        myChart.destroy();
                        setChart();
                    }
                    $('.votes-block').LoadingOverlay("hide", true);
                }
            });

        });


        nextButton.on('click',function (event){
            $.ajax({
                url: '/private-v3/city-votes/save',
                type: 'POST',
                data: {page: Number(page)+1,city_id:0},
                dataType: 'json',
                beforeSend:function () {
                    $('.votes-block').LoadingOverlay("show", true);
                },
                success: function (data) {
                    $lables = [];
                    $votesL = [];
                    $votesR = [];
                    $.each(data.data,function (k,v) {
                        $lables.push(v.city);
                        $votesL.push(v.votesL);
                        $votesR.push(v.votesR);
                    });
                    myChart.destroy();
                    setChart();
                    page = Number(page)+1;
                    $('input[name=page]').val(page);
                    previewsButton.removeClass('di-abl-ed');
                    $('.votes-block').LoadingOverlay("hide", true);
                }
            });

        });


        previewsButton.on('click',function (event){
            $.ajax({
                url: '/private-v3/city-votes/save',
                type: 'POST',
                data: {page: Number(page)-1,city_id:0},
                dataType: 'json',
                beforeSend:function () {
                    $('.votes-block').LoadingOverlay("show", true);
                },
                success: function (data) {
                    $lables = [];
                    $votesL = [];
                    $votesR = [];
                    $.each(data.data,function (k,v) {
                        $lables.push(v.city);
                        $votesL.push(v.votesL);
                        $votesR.push(v.votesR);
                    });
                    myChart.destroy();
                    setChart();
                    page = Number(page)-1;
                    $('input[name=page]').val(page);
                    if ( page <= 1 )
                    {
                        previewsButton.addClass('di-abl-ed');
                    }
                    $('.votes-block').LoadingOverlay("hide", true);
                }
            });

        });

    });
    function setChart() {
        var ctx = document.getElementById('myChart');
        myChart = new Chart(ctx, {
            type: 'bar',
            data: {
                labels: $lables,
                datasets: [{
                    label: 'Escorts planning tour',
                    data: $votesL,
                    backgroundColor: [
                        'rgba(231, 135, 80, 1)',
                        'rgba(231, 135, 80, 1)',
                        'rgba(231, 135, 80, 1)',
                        'rgba(231, 135, 80, 1)',
                        'rgba(231, 135, 80, 1)',
                        'rgba(231, 135, 80, 1)'
                    ],
                    borderColor: [
                        'rgba(255, 99, 132, 1)',
                        'rgba(54, 162, 235, 1)',
                        'rgba(255, 206, 86, 1)',
                        'rgba(75, 192, 192, 1)',
                        'rgba(153, 102, 255, 1)',
                        'rgba(255, 159, 64, 1)'
                    ],
                    borderWidth: 1
                },
                    {
                        label: 'Member votes',
                        data: $votesR,
                        backgroundColor: [
                            'rgba(255, 228, 12, 1)',
                            'rgba(255, 228, 12, 1)',
                            'rgba(255, 228, 12, 1)',
                            'rgba(255, 228, 12, 1)',
                            'rgba(255, 228, 12, 1)',
                            'rgba(255, 228, 12, 1)'
                        ],
                        borderColor: [
                            'rgba(255, 99, 132, 1)',
                            'rgba(54, 162, 235, 1)',
                            'rgba(255, 206, 86, 1)',
                            'rgba(75, 192, 192, 1)',
                            'rgba(153, 102, 255, 1)',
                            'rgba(255, 159, 64, 1)'
                        ],
                        borderWidth: 1
                    }]
            },
            options: {
                scales: {
                    yAxes: [{
                        ticks: {
                            beginAtZero: true
                        }
                    }]
                }
            }
        });
    }
</script>
    <script>
        $('select#country,select#city').select2({
            theme: 'bootstrap'
        });

        $("#country").change(function () {
            var self = $(this);
            var country_id = $(this).val();

            $.ajax({
                url: 'private-v3/geography/ajax-get-cities',
                type: 'POST',
                data: {country_id: country_id},
                dataType: 'json',
                beforeSend: function () {
                    self.closest('.card-body').LoadingOverlay("show", true);
                },
                success: function (data) {

                    var city_area = $('.city-area');

                    city_area.find('option').remove();

                    $.each(data['data'], function (key, city) {
                        $('<option/>', {value: city.id, html: city.title}).appendTo(city_area);
                    });

                    self.closest('.card-body').LoadingOverlay("hide", true);
                }
            });
        });

        $(document).ready(function () {
            if (!$('.city-area').val())
            {
                var self = $("#country");
                var country_id = $("#country").val();

                $.ajax({
                    url: 'private-v3/geography/ajax-get-cities',
                    type: 'POST',
                    data: {country_id: country_id},
                    dataType: 'json',
                    beforeSend: function () {
                        self.closest('.card-body').LoadingOverlay("show", true);
                    },
                    success: function (data) {

                        var city_area = $('.city-area');

                        city_area.find('option').remove();

                        $.each(data['data'], function (key, city) {
                            $('<option/>', {value: city.id, html: city.title}).appendTo(city_area);
                        });

                        self.closest('.card-body').LoadingOverlay("hide", true);
                    }
                });
            }
        })
    </script>